Index: /trunk/anuga_work/development/mem_time_tests/scenarios/stage/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/scenarios/stage/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/scenarios/stage/main.py	(revision 8326)
@@ -1,48 +1,51 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import random
 import subprocess
-import ex1
 import csv
 import os
 import time
-from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
-
+from anuga.utilities.log_analyser import analyse_log
 
 #------------------------------------------------------------------------------
-# Setup computational domain
+# Set up variables for the correct directories to store the output
 #------------------------------------------------------------------------------
-a = []
-
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "scenarios",
                                      "stage"])
-
-log.log_filename = os.path.join(scenariodir, 'log.txt')
 file = 'ex1.csv'
 file_path = os.path.join(scenariodir, file)
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen ='storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 
+#create files
 spamWriter = csv.writer(open(file_path, 'wb'))
 spamWriter.writerow(['Stage','Extent','Time','Space'])
+e = open(file_path_store,'a')
+e.close()
+e = open(file_path_storen,'a')
+e.close()
 
+#these are the main loops that determine the side length of the bounding square(m)
+#and the depth of the initial water (n)
+for m in range(100,1000,100):
+    for n in range(1,100,10):
+ 
+        # thsese values are written to the files
+        g = open(file_path_store,'r+')
+        g.write(str(m))
+        h = open(file_path_storen,'r+')
+        h.write(str(n))
 
-def onevar(b):
-    for n in range(1,100,10):
-        system_tools.MemoryUpdate()
-        z = time.time()
-        ex1.runex(b,n)
-        y = time.time()
-        a = system_tools.MemoryUpdate()[0]
-        spamWriter.writerow([n ,((b**2)/2),(y-z),a])
-    print a
+        z = time.time() #time it
+        subprocess.call(['python2.5', 'ex1.py']) # run the simulation script
+        y = time.time() #time it
+        spamWriter.writerow([n ,((m**2)/2),(y-z),'a']) #record it
+print 'DONE'
 
-for m in range(100,1000,100):
-    onevar(m)
-
+analyse_log(scenariodir, 'metalog.csv') #get the memory usage information from the log files
Index: /trunk/anuga_work/development/mem_time_tests/scenarios/vel2/ex1.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/scenarios/vel2/ex1.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/scenarios/vel2/ex1.py	(revision 8326)
@@ -1,9 +1,5 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
@@ -11,47 +7,75 @@
 import os
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities import log
 
+# set up the variables for the temporary files
 home = os.getenv('INUNDATIONHOME')
-scenariodir = add_directories(home, ["data","mem_time_test", "triangles",
-                                     "serial"])
+scenariodir = add_directories(home, ["data","mem_time_test", "scenarios",
+                                     "velocity"])
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen = 'storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
+storea = 'storea.txt'
+file_path_storea = os.path.join(scenariodir, storea)
 
+# read the velocity and the map side length from the text files
+f = open(file_path_store,'r+')
+k = float(f.readline())
+f.close()
+f = open(file_path_storen,'r+')
+l = float(f.readline())
+f.close()
+
+#set up variables for the simulation output and the log files
+scenariodirV = add_directories(home, ["data","mem_time_test", "scenarios",
+                                       "velocity", "velocity-" + str(k) +"-"+ str(l)])
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
+
+log.resource_usage_timing(prefix = 'BeforeSimulation') #get memory usage
 #------------------------------------------------------------------------------
 # Setup computational domain
 #------------------------------------------------------------------------------
-def runex(k,l):
+points, vertices, boundary = anuga.rectangular_cross(100,300, len1=1000, len2=500) # Mesh
+domain = anuga.Domain(points, vertices, boundary) # Create domain
+domain.set_name('channel1') # Output name
+domain.set_datadir(scenariodirV) 
 
-   points, vertices, boundary = anuga.rectangular_cross(100,100,
-                                                       len1=l, len2=l) # Mesh
+log.resource_usage_timing(prefix = 'AfterMesh')  #get memory usage 
+
+#get the number of triangles
+number = len(domain)
 
 #--------------------------------------------------------------------------
-# Setup Domain only on processor 0
+# Setup initial conditions
 #--------------------------------------------------------------------------
-   domain = anuga.Domain(points, vertices, boundary) # Create domain
-   domain.set_name('channel1') # Output name
-   domain.set_datadir(scenariodir) 
-   
-   number = len(domain)
+def topography(x, y):
+    return  0.0
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', 0.01) # Constant friction
+domain.set_quantity('stage', -1000.0)
 
-   def topography(x, y):
-       return  0.0
-
-   domain.set_quantity('elevation', topography) # Use function for elevation
-   domain.set_quantity('friction', 0.01) # Constant friction
-   domain.set_quantity('stage', -1000.0)
+log.resource_usage_timing(prefix='afterinitialconditions')#get memory usage
 
 #------------------------------------------------------------------------------
 # Setup boundary conditions
 #------------------------------------------------------------------------------
-   Bi = anuga.Dirichlet_boundary([0.5, k, 0]) # Inflow 
-   Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-   Bo = anuga.Dirichlet_boundary([-0.5, 0, 0]) # Outflow
-   domain.set_boundary({'left': Bi, 'right': Bo, 'top': Br, 'bottom': Br})
+Bi = anuga.Dirichlet_boundary([0.5, k, 0]) # Inflow 
+Br = anuga.Reflective_boundary(domain) # Solid reflective wall
+Bo = anuga.Dirichlet_boundary([-0.5, 0, 0]) # Outflow
+domain.set_boundary({'left': Bi, 'right': Bo, 'top': Br, 'bottom': Br})
+
+log.resource_usage_timing(prefix='afterboundary')#get memory usage
 
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-   for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
-       domain.write_time()
+for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
+    domain.write_time()
 
-   return number
+log.resource_usage_timing(prefix='aftersimulation')  #get memory usage
 
+#write the number of triangles to the file
+c = open(file_path_storea,'r+')
+c.write(str(number))
Index: /trunk/anuga_work/development/mem_time_tests/scenarios/vel2/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/scenarios/vel2/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/scenarios/vel2/main.py	(revision 8326)
@@ -1,47 +1,59 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import random
 import subprocess
-import ex1
 import csv
 import os
 import time
-from anuga.utilities import log
-from anuga.utilities import system_tools
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities.log_analyser import analyse_log
 
 #------------------------------------------------------------------------------
-# Setup computational domain
+# Set up variables for the correct directories to store the output
 #------------------------------------------------------------------------------
-a = []
-
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "scenarios",
                                      "velocity"])
-
 file = 'ex1.csv'
 file_path = os.path.join(scenariodir, file)
+storea ='storea.txt'
+file_path_storea = os.path.join(scenariodir, storea)
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen ='storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 
-log.log_filename = os.path.join(scenariodir, 'log.txt')
-
+#create and set up the files
 spamWriter = csv.writer(open(file_path, 'wb'))
 spamWriter.writerow(['Velocity','Number Of Triangles','Extent','Time','Space'])
-system_tools.MemoryUpdate()
+e = open(file_path_storea,'a')
+e.close()
+e = open(file_path_store,'a')
+e.close()
+e = open(file_path_storen,'a')
+e.close()
 
+# these are the main loops that give the velocity of inflow (m) and the map side length(n)
+for m in range(0,250,10):
+     for n in range(1,2000,300):  
+        #write these values to the temporary file
+        g = open(file_path_store,'r+')
+        g.write(str(m))
+        h = open(file_path_storen,'r+')
+        h.write(str(n))
 
-for m in range(0,250,10):
-     for i in range(1,2000,100):  
-        system_tools.MemoryUpdate()[0]
-        z = time.time()
-        h = ex1.runex(k,i)
-        b = system_tools.MemoryUpdate()[0]
-        y = time.time()
-        spamWriter.writerow([k,h,(i*i),(y-z), b])
+        z = time.time() #time it
+        subprocess.call(['python2.5', 'ex1.py'])#run simulation script
+        y = time.time() #time it
 
+        # read the number of triangles from this text file
+        f = open(file_path_storea,'r+')
+        h = float(f.readline())
+        f.close()
+        
+        spamWriter.writerow([m,h,(n*n),(y-z), 'b'])# record it
 print 'DONE'  
+
+analyse_log(scenariodir, 'metalog.csv') #get the memory statistics from the log files
Index: /trunk/anuga_work/development/mem_time_tests/triangles/area/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/triangles/area/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/triangles/area/main.py	(revision 8326)
@@ -1,9 +1,5 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import subprocess
@@ -12,18 +8,13 @@
 import time
 import liststore
-from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
-
+from anuga.utilities.log_analyser import analyse_log
 
 #------------------------------------------------------------------------------
-# Setup computational domain
+# Set up variables for the correct directories to store the output
 #------------------------------------------------------------------------------
-a = []
-#SpaceUsed = 0.0
-#number = 0
-
-home1 = os.getenv('INUNDATIONHOME')
+home = os.getenv('INUNDATIONHOME')
 host = os.getenv('HOST')
-scenariodir = add_directories(home1, ["data","mem_time_test", "triangles","area"])
+scenariodir = add_directories(home, ["data","mem_time_test", "triangles","area"])
 file1 = 'ex1.csv'
 file_path = os.path.join(scenariodir, file1)
@@ -32,15 +23,10 @@
 storea ='storea.txt'
 file_path_storea = os.path.join(scenariodir, storea)
-store ='store.txt'
-file_path_store = os.path.join(scenariodir, store)
 storen ='storen.txt'
 file_path_storen = os.path.join(scenariodir, storen)
 
-log.log_filename = os.path.join(scenariodir, 'log.txt')
-
+#create and set up the files
 spamWriter = csv.writer(open(file_path, 'wb'))
 spamWriter.writerow(['Number Of Triangles' ,'Max Triangle Area', 'Extent', 'Space Used MB' , 'Time Taken s'])
-e = open(file_path_store,'a')
-e.close()
 e = open(file_path_storea,'a')
 e.close()
@@ -50,20 +36,23 @@
 e.close()
 
+# this is the main loops that assigns the maximum triangle area (m) and the map side length(l)
 
+n = 4 #number of processors to use
 for m in range(90,100,10):
-     n = 4 #number of processors to use
      for l in range(100,2000,100):
         
+        #write these values to file
         g = open(file_path_storel,'r+')
         g.write(str(l))
+        h = open(file_path_storea,'r+')
+        h.write(str(m))
+        
+        z = time.time()# time it
 
-        h = open(file_path_storea,'r+')
-        h.write(str(d))
-        
-        z = time.time()
+        #the different ways each host calls MPI properly
         if (host == 'cyclone.agso.gov.au'):
-            subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_cyclone', '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py']) 
+            subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_cyclone', '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py']) 
         if (host == 'tornado.agso.gov.au'):
-            subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_tornado', '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py'])
+            subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_tornado', '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py'])
         if (host == 'vayu1'):
             subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py']) 
@@ -73,18 +62,15 @@
             subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py']) 
        
-        y = time.time()
+        y = time.time()# time it
 
-        f = open(file_path_store,'r+')
-        x = float(f.readline())
-        f.close()
-
+        # read the number of triangles from this file
         f = open(file_path_storen,'r+')
         i = float(f.readline())
         f.close()
 
-        spamWriter.writerow([i,d,(l*l),x ,(y-z)])
-        liststore.store = [0,0,0,0]
-
+        spamWriter.writerow([i,d,(l*l),'x' ,(y-z)])# record it
 
 print 'Done'
 
+analyse_log(scenariodir, 'metalog.csv') #get the memory statistics from the log files
+
Index: /trunk/anuga_work/development/mem_time_tests/triangles/fromregions/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/triangles/fromregions/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/triangles/fromregions/main.py	(revision 8326)
@@ -1,49 +1,59 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import subprocess
-import runcairns
 import csv
 import os
 import time
-from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities.log_analyser import analyse_log
 
 #------------------------------------------------------------------------------
-# Setup computational domain
+# Set up variables for the correct directories to store the output
 #------------------------------------------------------------------------------
-a = []
-
-
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "triangles",
                                      "fromregions"])
-log.log_filename = os.path.join(scenariodir, 'log.txt')
-
+storea ='storea.txt'
+file_path_storea = os.path.join(scenariodir, storea)
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen ='storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 file = 'ex1.csv'
 file_path = os.path.join(scenariodir, file)
 
+#create and set up the files
 spamWriter = csv.writer(open(file_path, 'wb'))
 spamWriter.writerow(['Number Of Triangles' ,'Max Triangle Area', 'Extent', 'Space Used MB' , 'Time Taken s'])
+e = open(file_path_storea,'a')
+e.close()
+e = open(file_path_store,'a')
+e.close()
+e = open(file_path_storen,'a')
+e.close()
 
+#these are the main loops that determine the maximum triangle area (m) and the map side length(n)
+for m in range(1,100,10):
+    for n in range(1,1000,100):
 
+        #write these values to file
+        g = open(file_path_store,'r+')
+        g.write(str(m))
+        h = open(file_path_storen,'r+')
+        h.write(str(n))
 
-def runlist(r):
-    for n in range(1,2000,100):
-        system_tools.MemoryUpdate()
-        z = time.time()
-        h = runcairns.runex(n,r)
-        y = time.time()
-        x = system_tools.MemoryUpdate()[0]
-        spamWriter.writerow([h,r,(n*n),x ,(y-z)])
+        z = time.time() #time it
+        subprocess.call(['python2.5', 'runcairns.py'])#run simulation
+        y = time.time() #time it
 
-for m in range(1,100,10):
-    runlist(m)
+        #read the number of triangles from this text file
+        f = open(file_path_storea,'r+')
+        h = float(f.readline())
+        f.close()
 
+        spamWriter.writerow([h,m,(n*n),'x' ,(y-z)]) #record it
 print 'DONE'
 
+analyse_log(scenariodir, 'metalog.csv') #get the memory statistics from the log files 
Index: /trunk/anuga_work/development/mem_time_tests/triangles/rectanglecross/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/triangles/rectanglecross/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/triangles/rectanglecross/main.py	(revision 8326)
@@ -1,49 +1,60 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import subprocess
-import runcairns
 import csv
 import os
 import time
+from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities.log_analyser import analyse_log
 
-from anuga.utilities import system_tools, log
-from anuga.abstract_2d_finite_volumes.util import add_directories
-
+#------------------------------------------------------------------------------
+# Set up variables for the correct directories to store the output
+#------------------------------------------------------------------------------
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "triangles",
                                      "rectanglecross"])
-
-log.log_filename = os.path.join(scenariodir, 'log.txt')
-
+storea ='storea.txt'
+file_path_storea = os.path.join(scenariodir, storea)
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen ='storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 file = 'ex1.csv'
 file_path = os.path.join(scenariodir, file)
 
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
-a = []
+#create and set up the output files
 spamWriter = csv.writer(open(file_path, 'wb'))
 spamWriter.writerow(['Number Of Triangles' ,'MxM Rectangular Mesh', 'Extent', 'Space Used MB' , 'Time Taken s'])
+e = open(file_path_storea,'a')
+e.close()
+e = open(file_path_store,'a')
+e.close()
+e = open(file_path_storen,'a')
+e.close()
 
+#these main loops assign the matrix size[number of triangles] (m) and the map side length(n)
+for m in range(1,500,10):
+    for n in range(1,1000,100):
 
+        #write these values to file
+        g = open(file_path_store,'r+')
+        g.write(str(m))
+        h = open(file_path_storen,'r+')
+        h.write(str(n))
 
-def runlist(r):
-    for n in range(1,2000,100):
-        system_tools.MemoryUpdate()
-        z = time.time()
-        h = runcairns.runex(n,r)
-        y = time.time()
-        x = system_tools.MemoryUpdate()[0]
-        spamWriter.writerow([h,r,(n*n),x ,(y-z)])
+        z = time.time() #time it
+        subprocess.call(['python2.5', 'runcairns.py']) #run the simulation
+        y = time.time() #time it
 
-for m in range(1,100,10):
-    runlist(m)
+        #read the number of triangles from this file
+        f = open(file_path_storea,'r+')
+        h = float(f.readline())
+        f.close()
 
+        spamWriter.writerow([h,m,(n*n),'x' ,(y-z)]) #record it
 print 'DONE'
 
+analyse_log(scenariodir, 'metalog.csv')#get the memory statistics from the log files
+
Index: /trunk/anuga_work/development/mem_time_tests/triangles/serial/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/triangles/serial/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/triangles/serial/main.py	(revision 8326)
@@ -13,7 +13,7 @@
 import os
 import time
-from anuga.utilities import system_tools, log
+from anuga.utilities import system_tools, log, log_analyser
 from anuga.abstract_2d_finite_volumes.util import add_directories
-import logAnalyser
+
 #------------------------------------------------------------------------------
 # Setup computational domain
@@ -28,9 +28,5 @@
                                      "serial"])
 file = 'ex1.csv'
-
-#log.log_filename = os.path.join(scenariodir, 'anuga.log')
-
 file_path = os.path.join(scenariodir, file)
-#print "file_path",file_path
 
 spamWriter = csv.writer(open(file_path, 'wb'))
@@ -40,22 +36,12 @@
 
 
-def runlist(r):
-    n = 1 #20
-    while (n > 0):
-        c = 2 #random.random() * 2000 + 1
+for m in range(40000,50000,10000):
+
+    for n in range(9,10,1):
         z = time.time()
-        h = runcairns.runex(c,r)
+        h = runcairns.runex(n,m)
         y = time.time()
         n = n -1
-        #subprocess.call(['python','timingScript.py',scenariodir,outputresource])
-        logAnalyser.AnalyseLog()
         spamWriter.writerow([h,r,(c*c),'x' ,(y-z)])
-
-while (m > 0):
-    m = m -1
-    d = 101 #random.random() * 100 +1
-    
-    runlist(d)
-
 print 'DONE'
 
